Bug 1196969 - Rebase python-dns to 1.12.x
Summary: Rebase python-dns to 1.12.x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-dns
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-27 08:35 UTC by Martin Babinsky
Modified: 2015-10-09 15:32 UTC (History)
4 users (show)

Fixed In Version: python-dns-1.12.0GIT465785f-1.fc23
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Important: if this rebase instead contains *only bug fixes,* or *only enhancements*, select the correct option from the Doc Type drop-down list. Rebase package(s) to version: 1.12.0 Highlights, important fixes, or notable enhancements: more informative DNS exceptions
Clone Of:
Environment:
Last Closed: 2015-10-09 15:32:54 UTC


Attachments (Terms of Use)

Description Martin Babinsky 2015-02-27 08:35:17 UTC
The current version of python-dns package in Fedora repos is 1.11.1. 

The current upstream version is 1.12.0. It would be nice to rebase the package to a version that includes https://github.com/rthalley/dnspython/pull/85.

This would enable more transparent handling of DNS related exceptions in FreeIPA code.

Comment 1 Fedora Update System 2015-09-11 13:15:10 UTC
python-dns-1.12.0GIT465785f-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15599

Comment 2 Fedora Update System 2015-09-12 21:25:36 UTC
python-dns-1.12.0GIT465785f-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-dns'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15599

Comment 3 Fedora Update System 2015-10-09 15:32:52 UTC
python-dns-1.12.0GIT465785f-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.